Đến nội dung


Hình ảnh
- - - - -

Lisp lấy Dim


  • Please log in to reply
6 replies to this topic

#1 cuongb2vn

cuongb2vn

    biết zoom

  • Members
  • Pip
  • 14 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 22 February 2009 - 06:22 PM

Chào các anh viết lisp. Em muốn hỏi có ai viết lisp lấy dim không?
Cụ thể là khi ta vẽ trên model có rất nhiều dim, nếu mỗi lần lấy dim ta phải dùng lệnh d rồi chọn. Em muốn có một lisp lấy dim như khi mình lấy layer (lệnh laymcur chẳng hạn) . VẬy anh nào có lisp đấy thì share cho em với.
Thanks
  • 0

#2 tucdrom

tucdrom

    — T — U — N — A —

  • Members
  • PipPipPipPipPipPip
  • 497 Bài viết
Điểm đánh giá: 642 (tốt)

Đã gửi 22 February 2009 - 06:40 PM

Chào các anh viết lisp. Em muốn hỏi có ai viết lisp lấy dim không?
Cụ thể là khi ta vẽ trên model có rất nhiều dim, nếu mỗi lần lấy dim ta phải dùng lệnh d rồi chọn. Em muốn có một lisp lấy dim như khi mình lấy layer (lệnh laymcur chẳng hạn) . VẬy anh nào có lisp đấy thì share cho em với.
Thanks

Bạn lôi thanh công cụ Style ra màn hình của Cad để làm việc cho tiện nhé.Xem ở đây :
http://www.cadviet.c...?showtopic=9241

Hình đã gửi


Mỗi lần muốn chuyển sang DimStyle khác thì Click vào DimStyle(vùng mầu đỏ) như hình vẽ nhé :

Hình đã gửi

OK.
  • 0

Email : anhtu2101@gmail.com



 


#3 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 22 February 2009 - 07:53 PM

Chào các anh viết lisp. Em muốn hỏi có ai viết lisp lấy dim không?
Cụ thể là khi ta vẽ trên model có rất nhiều dim, nếu mỗi lần lấy dim ta phải dùng lệnh d rồi chọn. Em muốn có một lisp lấy dim như khi mình lấy layer (lệnh laymcur chẳng hạn) . VẬy anh nào có lisp đấy thì share cho em với.
Thanks

Ví dụ bạn có dimstyle 100
Lisp sau sẽ chuyển sang Dimstyle 100

(defun c:d100()
(command "dimstyle" "" "100")
(command "graphscr")
(princ)
)
  • 0

#4 cuongb2vn

cuongb2vn

    biết zoom

  • Members
  • Pip
  • 14 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 26 February 2009 - 09:03 PM

Bạn lôi thanh công cụ Style ra màn hình của Cad để làm việc cho tiện nhé.Xem ở đây :
http://www.cadviet.c...?showtopic=9241

Hình đã gửi
Mỗi lần muốn chuyển sang DimStyle khác thì Click vào DimStyle(vùng mầu đỏ) như hình vẽ nhé :

Hình đã gửi

OK.

Cái này thì mình biết rồi, bây vẽ hình thì mình không để các thanh công cụ trên màn hình, dọn sạch. Ý mình muốn một cái lisp như là lấy layer chứ không phải cách này. Vẽ bây h để chuyên nghiệp thì phải tự chế một bộ lệnh tắt thật ngon và bộ lisp ngon.
Rất cảm ơn bạn.
  • 0

#5 tucdrom

tucdrom

    — T — U — N — A —

  • Members
  • PipPipPipPipPipPip
  • 497 Bài viết
Điểm đánh giá: 642 (tốt)

Đã gửi 26 February 2009 - 09:58 PM

Cái này thì mình biết rồi, bây vẽ hình thì mình không để các thanh công cụ trên màn hình, dọn sạch. Ý mình muốn một cái lisp như là lấy layer chứ không phải cách này. Vẽ bây h để chuyên nghiệp thì phải tự chế một bộ lệnh tắt thật ngon và bộ lisp ngon.
Rất cảm ơn bạn.

Đồng ý với ý kiến của bạn,là để chuyên nghiệp hoá việc vẽ Cad ta phải tự chế một bộ lệnh vẽ riêng cho mình.Ví dụ 1 số lệnh vẽ tắt riêng khi đặt lại:
1=Layon
2=Layiso
3=Layoff
As=Layer Style
Dd=Dimlinear
De=Dist
Dx=Mirror
RT=Rotate
Df=Dimcontinue
USC=Ss
C=Copy
Cc=Circle
...
với nguyên tắc là lệnh vẽ sau khi được đặt lại chỉ gồm các chữ cái ở bên trái bàn phím(tay trái gõ lệnh mà).
Còn thực ra bộ Lisp mà bạn cần khi Load vào trong Cad để lấy Dim cũng ko nhanh hơn cách của mình là bao? ^^.

  • 1

Email : anhtu2101@gmail.com



 


#6 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1432 Bài viết
Điểm đánh giá: 1425 (rất tốt)

Đã gửi 27 February 2009 - 09:20 AM

Chào các anh viết lisp. Em muốn hỏi có ai viết lisp lấy dim không?
Cụ thể là khi ta vẽ trên model có rất nhiều dim, nếu mỗi lần lấy dim ta phải dùng lệnh d rồi chọn. Em muốn có một lisp lấy dim như khi mình lấy layer (lệnh laymcur chẳng hạn) . VẬy anh nào có lisp đấy thì share cho em với.
Thanks

Bạn dùng thử LISP này (tên lệnh DimMCur, lệnh tắt : DMC):
(defun C:DimMCur(/ ent StyleName)
(princ (strcat "\nCurrent dimension style: " (getvar "DIMSTYLE")))
(while
(not
(and
(setq ent (car (entsel "\nSelect object DIMENSION to be set to the current dimension style:")))
(if ent (= (cdr (assoc 0 (entget ent))) "DIMENSION") )
)
)
(princ "\nSelect Again: ")
)
(if (and ent (/= (setq StyleName (cdr (assoc 3 (entget ent)))) (getvar "DIMSTYLE")) )
(command "DIMSTYLE" "R" StyleName) )
(princ (strcat "\nCurrent dimension style: " (getvar "DIMSTYLE")))
(princ)
)
(defun C:DMC() (C:DimMCur))

  • 0

#7 k_malau

k_malau

    biết vẽ pline

  • Members
  • PipPip
  • 63 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 01 September 2009 - 02:15 PM

Mình hiện đang dùng Cad 2009, thanh công cụ STYLE sao mình tiềm mải kô thấy, Bác nào giúp em với?
  • 0